Hardware Locality (hwloc) 1.5.1

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Fields

Data Structures | Data Fields
hwloc_obj_attr_u Union Reference
Topology Objects

`#include <hwloc.h>`

## Data Structures

struct | hwloc_bridge_attr_s
| Bridge specific Object Attribues. More...
struct | hwloc_cache_attr_s
| Cache-specific Object Attributes. More...
struct | hwloc_group_attr_s
| Group-specific Object Attributes. More...
struct | hwloc_osdev_attr_s
| OS Device specific Object Attributes. More...
struct | hwloc_pcidev_attr_s
| PCI Device specific Object Attributes. More...

## Data Fields

struct hwloc_obj_attr_u::hwloc_cache_attr_s | cache
struct hwloc_obj_attr_u::hwloc_group_attr_s | group
struct hwloc_obj_attr_u::hwloc_pcidev_attr_s | pcidev
struct hwloc_obj_attr_u::hwloc_bridge_attr_s | bridge
struct hwloc_obj_attr_u::hwloc_osdev_attr_s | osdev

## Detailed Description

Object type-specific Attributes.

## Field Documentation

struct hwloc_obj_attr_u::hwloc_bridge_attr_s hwloc_obj_attr_u::bridge

struct hwloc_obj_attr_u::hwloc_cache_attr_s hwloc_obj_attr_u::cache

struct hwloc_obj_attr_u::hwloc_group_attr_s hwloc_obj_attr_u::group

struct hwloc_obj_attr_u::hwloc_osdev_attr_s hwloc_obj_attr_u::osdev

struct hwloc_obj_attr_u::hwloc_pcidev_attr_s hwloc_obj_attr_u::pcidev

The documentation for this union was generated from the following file:

- hwloc.h